# go-rpi

Use various sensors on the RaspberryPi with Golang (like a ninja!)

## Documentation

[![GoDoc](http://godoc.org/github.com/kid0m4n/go-rpi?status.png)](http://godoc.org/github.com/kid0m4n/go-rpi)

## Protocols supported

### I2C

  [Documentation](http://godoc.org/github.com/kid0m4n/go-rpi/i2c)

## Sensors supported

### BMP085
  
  Barometric pressure sensor

  [Documentation](http://godoc.org/github.com/kid0m4n/go-rpi/sensor/bmp085) [Datasheet](https://www.sparkfun.com/datasheets/Components/General/BST-BMP085-DS000-05.pdf)

### LSM303
  
  Accelerometer and magnetometer

  [Documentation](http://godoc.org/github.com/kid0m4n/go-rpi/sensor/lsm303) [Datasheet](https://www.sparkfun.com/datasheets/Sensors/Magneto/LSM303%20Datasheet.pdf)

### US020

  Ultrasonic proximity sensor

  [Documentation](http://godoc.org/github.com/kid0m4n/go-rpi/sensor/us020) [Product Page](http://www.digibay.in/sensor/object-detection-and-proximity?product_id=239)